## ros-galactic-rosbag2-compression 0.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_compression)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rosbag2_cpp)
find_package(rosbag2_storage REQUIRED)

add_library(${PROJECT_NAME}
  SHARED
  src/rosbag2_compression/compression_factory.cpp
  src/rosbag2_compression/compression_options.cpp
  src/rosbag2_compression/sequential_compression_reader.cpp
  src/rosbag2_compression/sequential_compression_writer.cpp)
target_include_directories(${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME}
  pluginlib
  rcpputils
  rcutils
  rosbag2_cpp
  rosbag2_storage)
target_compile_definitions(${PROJECT_NAME} PRIVATE ROSBAG2_COMPRESSION_BUILDING_DLL)

# prevent pluginlib from using boost
target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

install(
  DIRECTORY include/
  DESTINATION include)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(pluginlib rcpputils rcutils rosbag2_cpp rosbag2_storage)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(rosbag2_test_common REQUIRED)
  ament_lint_auto_find_test_dependencies()

  add_library(fake_plugin SHARED
    test/rosbag2_compression/fake_compressor.cpp
    test/rosbag2_compression/fake_decompressor.cpp)
  target_link_libraries(fake_plugin ${PROJECT_NAME})
  install(
    TARGETS fake_plugin
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)
  pluginlib_export_plugin_description_file(
    rosbag2_compression test/rosbag2_compression/fake_plugin.xml)

  ament_add_gmock(test_compression_factory
    test/rosbag2_compression/test_compression_factory.cpp)
  target_link_libraries(test_compression_factory ${PROJECT_NAME})

  ament_add_gmock(test_compression_options
    test/rosbag2_compression/test_compression_options.cpp)
  target_include_directories(test_compression_options PUBLIC include)
  target_link_libraries(test_compression_options ${PROJECT_NAME})

  ament_add_gmock(test_sequential_compression_reader
    test/rosbag2_compression/test_sequential_compression_reader.cpp)
  target_include_directories(test_sequential_compression_reader PUBLIC include)
  target_link_libraries(test_sequential_compression_reader ${PROJECT_NAME})
  ament_target_dependencies(test_sequential_compression_reader rosbag2_cpp rosbag2_storage)

  ament_add_gmock(test_sequential_compression_writer
    test/rosbag2_compression/test_sequential_compression_writer.cpp)
  target_include_directories(test_sequential_compression_writer PUBLIC include)
  target_link_libraries(test_sequential_compression_writer ${PROJECT_NAME})
  ament_target_dependencies(test_sequential_compression_writer rosbag2_cpp rosbag2_storage)
endif()

ament_package()

=== debian/changelog ===
ros-galactic-rosbag2-compression (0.9.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 26 Sep 2022 07:00:00 -0000

ros-galactic-rosbag2-compression (0.9.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 08 Jul 2021 07:00:00 -0000

ros-galactic-rosbag2-compression (0.9.0-1focal) focal; urgency=high

  * Rename Reader/Writer 'reset' to 'close' (#760 <https://github.com/ros2/rosbag2/issues/760>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-galactic-rosbag2-compression (0.8.0-1focal) focal; urgency=high

  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Reindexer core (#641 <https://github.com/ros2/rosbag2/issues/641>)
    Add a new C++ Reindexer class for reconstructing metadata from bags that are missing it.
  * Contributors: Emerson Knapp, jhdcs

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-rosbag2-compression (0.7.0-1focal) focal; urgency=high

  * CLI query rosbag2_py for available storage implementations (#659 <https://github.com/ros2/rosbag2/issues/659>)
  * Move zstd compressor to its own package (#636 <https://github.com/ros2/rosbag2/issues/636>)
  * Remove rosbag2_compression test dependencies on zstd implementation in prep for moving it into a separate package (#637 <https://github.com/ros2/rosbag2/issues/637>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosbag2-compression (0.6.0-1focal) focal; urgency=high

  * Make compressor implementations into a plugin via pluginlib (#624 <https://github.com/ros2/rosbag2/issues/624>)
  * Use ZSTD's streaming interface for [de]compressing files (#543 <https://github.com/ros2/rosbag2/issues/543>)
  * Fix build issues when rosbag2_storage is binary installed (#585 <https://github.com/ros2/rosbag2/issues/585>)
  * Fix relative metadata paths in SequentialCompressionWriter (#613 <https://github.com/ros2/rosbag2/issues/613>)
  * Fix deadlock race condition on compression shutdown (#616 <https://github.com/ros2/rosbag2/issues/616>)
  * Deduplicate SequentialCompressionReader business logic, add fallback to find bagfiles in incorrectly-written metadata (#612 <https://github.com/ros2/rosbag2/issues/612>)
  * Compress bag files in separate threads (#506 <https://github.com/ros2/rosbag2/issues/506>)
  * Contributors: Emerson Knapp, P. J. Reed

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-galactic-rosbag2-compression (0.5.0-1focal) focal; urgency=high

  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-galactic-rosbag2-compression (0.4.0-1focal) focal; urgency=high

  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Do not expect empty StorageOptions URI to work in CompressionWriterTest (#526 <https://github.com/ros2/rosbag2/issues/526>)
  * Remove some code duplication between SequentialWriter and SequentialCompressionWriter (#527 <https://github.com/ros2/rosbag2/issues/527>)
  * Fix exception thrown given invalid arguments with compression enabled (#488 <https://github.com/ros2/rosbag2/issues/488>)
  * Adding db directory creation to rosbag2_cpp (#450 <https://github.com/ros2/rosbag2/issues/450>)
  * Consolidate ZSTD utility functions (#459 <https://github.com/ros2/rosbag2/issues/459>)
  * Add per-message ZSTD compression (#418 <https://github.com/ros2/rosbag2/issues/418>)
  * Contributors: Christophe Bedard, Devin Bonnie, Jaison Titus, Karsten Knese, Marwan Taher, Michael Jeronimo, P. J. Reed

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-galactic-rosbag2-compression (0.3.2-1focal) focal; urgency=high

  * Add user provided split size to error message (#430 <https://github.com/ros2/rosbag2/issues/430>)
  * Contributors: Anas Abou Allaban

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-compression (0.3.1-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-compression (0.3.0-1focal) focal; urgency=high

  * Fix playback of compressed bagfiles (#417 <https://github.com/ros2/rosbag2/issues/417>)
  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-rosbag2-compression (0.2.8-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-rosbag2-compression (0.2.7-1focal) focal; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-rosbag2-compression (0.2.6-1focal) focal; urgency=high

  * Remove relative include paths in rosbag2_compression tests (#405 <https://github.com/ros2/rosbag2/issues/405>)
  * Contributors: Karsten Knese, Zachary Michaels

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-rosbag2-compression (0.2.5-1focal) focal; urgency=high

  * Don't fail build if lsan isn't available. (#397 <https://github.com/ros2/rosbag2/issues/397>)
  * Correctly set all test dependencies. (#392 <https://github.com/ros2/rosbag2/issues/392>)
  * Deduplicate code in SequentialCompressionReader. (#372 <https://github.com/ros2/rosbag2/issues/372>)


=== debian/control ===
Source: ros-galactic-rosbag2-compression
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gmock <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rclcpp <!nocheck>, ros-galactic-rcpputils, ros-galactic-rcutils, ros-galactic-rosbag2-cpp, ros-galactic-rosbag2-storage, ros-galactic-rosbag2-test-common <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosbag2-compression
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rcpputils, ros-galactic-rcutils, ros-galactic-rosbag2-cpp, ros-galactic-rosbag2-storage, ros-galactic-ros-workspace
Description: Compression implementations for rosbag2 bags and messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rosbag2-compression//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
